Announcement

Collapse
No announcement yet.

Moving vb2 info to new vb3 installation?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Moving vb2 info to new vb3 installation?

    I have been working to get a style up and running on vb3, upon completing this I now want to move all the data from my vb2.2.8 installation to my clean vb3..

    My question is, how do I do this? I tried to just do a dump of the vb2 database, then move it over to the vb3 database but It wont/didnt work.. Any ideas? I'm stuck

    Thanks in advanced

  • #2
    im abit confused.....

    if you just want the style it can be downloaded. but to go from 2.2.8 i belive you need to upgrade to 2.3 and then to 3.0.0

    you couldthen move your style over

    Comment


    • #3
      Originally posted by LightBringer
      My question is, how do I do this? I tried to just do a dump of the vb2 database, then move it over to the vb3 database but It wont/didnt work.. Any ideas? I'm stuck
      This won't work. The vB2 database is not compatible with vB3 and needs to be upgraded. The only way to do this is to follow the upgrade instructions:

      http://www.vbulletin.com/forum/showthread.php?t=79163
      Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
      Change CKEditor Colors to Match Style (for 4.1.4 and above)

      Steve Machol Photography


      Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


      Comment


      • #4
        Originally posted by Steve Machol
        This won't work. The vB2 database is not compatible with vB3 and needs to be upgraded. The only way to do this is to follow the upgrade instructions:

        http://www.vbulletin.com/forum/showthread.php?t=79163
        so all I have to do is upload everything over the vb2 install and let it over write everything, then run the upgrade script?

        thanks for the responces, I really appreciate it

        Comment


        • #5
          Originally posted by Faranth
          im abit confused.....

          if you just want the style it can be downloaded. but to go from 2.2.8 i belive you need to upgrade to 2.3 and then to 3.0.0

          you couldthen move your style over
          I want just the data (posts/users etc) from the vb2 moved over to the vb3, that's all

          Comment


          • #6
            There is no way to do just this. You need to upgrade. After that you can remove anything you don't want.
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment


            • #7
              Originally posted by Steve Machol
              There is no way to do just this. You need to upgrade. After that you can remove anything you don't want.
              I'm willing to do that, I'm just not clear on WHAT to do..

              I uploaded the vb3 files, minues the install.php to a seperate folder then my vb2 install, then I try to run the upgrade and I get a db error.. am I supposed to be overwriting the files in the vb2 install? or keeping them seperate?

              Comment


              • #8
                From http://www.vbulletin.com/forum/showthread.php?t=79163:


                Upgrade Instructions

                To upgrade your board, upload all files from the 'upload' folder in the zip file with the exception of install/install.php, then point your browser at install/upgrade.php. You should be automatically redirected to the appropriate upgrade script (upgrade1.php for people upgrading from vBulletin 2, upgrade2.php for people upgrading from vBulletin 3 Beta 3 and upgrade3.php for people upgrading from vBulletin 3 Beta 4).
                What is the db error?
                Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                Change CKEditor Colors to Match Style (for 4.1.4 and above)

                Steve Machol Photography


                Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                Comment


                • #9
                  Originally posted by Steve Machol
                  Steve,
                  Thanks for your pro-longed patience.

                  I did read that, but I'm not sure where to upload it.. it says to just upload it, but not if it should be in a seperate folder then the current vb2, or onto the same vb2 installation that's already there overidding the current files, etc.

                  Again, sorry if I'm misunderstanding.. I just want to make sure I don't lose any data

                  Thanks

                  Comment


                  • #10
                    You upload the files into the same folder as your current installation. Remember to make a backup first (both files and database, in case something goes wrong), and if you're still running 2.2.8, you need to upgrade to 2.3 and then to 3.0.0.
                    Originally posted by LightBringer
                    I did read that, but I'm not sure where to upload it.. it says to just upload it, but not if it should be in a seperate folder then the current vb2, or onto the same vb2 installation that's already there overidding the current files, etc.

                    Comment


                    • #11
                      Originally posted by LDEV
                      You upload the files into the same folder as your current installation. Remember to make a backup first (both files and database, in case something goes wrong), and if you're still running 2.2.8, you need to upgrade to 2.3 and then to 3.0.0.
                      thank you ldev

                      Comment

                      widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                      Working...
                      X